/*
 * This file is part of Loclib.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package javax.microedition.location;

/**
 * The <code>LocationException</code> is thrown when a location API specific error has occurred.
 * The detailed conditions when this exception is thrown are documented in the methods
 * that throw this exception.
 * 
 * @author faerber
 */
public class LocationException extends Exception {
	
	/**
	 * Constructs a <code>LocationException</code> with no detail message.
	 */
	public LocationException() {
	}
	
	/**
	 * Constructs a <code>LocationException</code> with the specified detail message.
	 * 
	 * @param s	the detail message
	 */
	public LocationException(String s) {
		super(s);
	}
}
